import request from '@/utils/request'


// 获取企业下模板
export function getEnterpriseTemplate(params) {
  return request({
    url: '/admin/company/template/detail',
    method: 'get',
    params
  })
}

// 更改模板信息
export function editEnterpriseTemplate(params) {
  return request({
    url: '/admin/company/template/updateTemplate',
    method: 'post',
    data:params
  })
}

// 获取活动商品详情 
export function getactivityGoodsDetail(params) {
    return request({
      url: '/goods/news/category/getGoodsActiveDetail',
      method: 'get',
      params
    })
  }

  // 获取商品分类
export function getClassifyList(params) {
  return request({
    url: '/goods/category/list',
    method: 'get',
    params
  })
}

// 获取商品列表
export function getGoodsList(params) {
  return request({
    url: '/goods/list/page',
    method: 'get',
    params
  })
}

// 添加活动商品
export function addActiveGoods(params) {
  return request({
    url: '/goods/news/category/addActiveGoods',
    method: 'post',
    data:params
  })
}

// 获取商品列表
export function getMoreGoodsList(params) {
  return request({
    url: '/goods/listbycategory',
    method: 'get',
    params
  })
}